Package org.kie.api.conf

# Enum Class KieBaseMutabilityOption

java.lang.Object
java.lang.Enum<KieBaseMutabilityOption>
org.kie.api.conf.KieBaseMutabilityOption

All Implemented Interfaces:
  `Serializable`, `Comparable<KieBaseMutabilityOption>`, `Constable`, `KieBaseOption`, `Option`, `SingleValueKieBaseOption`, `SingleValueOption`

public enum KieBaseMutabilityOption extends Enum<KieBaseMutabilityOption> implements SingleValueKieBaseOption
An option to define if a KieBase should be mutable or not. By default mutability (incremental compilation) is allowed but for performances reasonds it is strongly recommended to set this option to "disabled" if you don't need it. drools.kieBaseMutability = <allowed|disabled> DEFAULT = allowed

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALLOWED`
  `DISABLED`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static OptionKey<KieBaseMutabilityOption>`
  `KEY`
  `static final String`
  `PROPERTY_NAME`
  The property name for the sequential mode option

  ### Fields inherited from interface org.kie.api.conf.KieBaseOption

  `TYPE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static KieBaseMutabilityOption`
  `determineMutability(String option)`
  `String`
  `getPropertyName()`
  `boolean`
  `isMutabilityEnabled()`
  `static KieBaseMutabilityOption`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static KieBaseMutabilityOption[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.kie.api.conf.KieBaseOption

  `type`

  ### Methods inherited from interface org.kie.api.conf.Option

  `propertyName`

- ## Enum Constant Details

  - ### ALLOWED

    public static final KieBaseMutabilityOption ALLOWED

  - ### DISABLED

    public static final KieBaseMutabilityOption DISABLED

- ## Field Details

  - ### PROPERTY_NAME

    public static final String PROPERTY_NAME
    The property name for the sequential mode option
    See Also:
      - Constant Field Values

  - ### KEY

    public static OptionKey<KieBaseMutabilityOption> KEY

- ## Method Details

  - ### values

    public static KieBaseMutabilityOption[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static KieBaseMutabilityOption valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getPropertyName

    public String getPropertyName()
    Specified by:
      `getPropertyName` in interface `Option`
    Returns:
      the property name for this option

  - ### determineMutability

    public static KieBaseMutabilityOption determineMutability(String option)

  - ### isMutabilityEnabled

    public boolean isMutabilityEnabled()